#ifndef __UNET_H__
#define __UNET_H__

#include <migraphx/program.hpp>

#include <CommonDefinition.h>

namespace migraphxSamples
{

class  Unet
{
public:
    Unet();
    
    ~Unet();

    ErrorCode Initialize(InitializationParameterOfSegmentation initParamOfSegmentationUnet);

    ErrorCode Segmentation(const cv::Mat &srcImage, cv::Mat &maskImage);

private:
    cv::FileStorage configurationFile;

    migraphx::program net;
    cv::Size inputSize;
    std::string inputName;
    migraphx::shape inputShape;
    float scale;
         
};

}
    
#endif
